
static char rcsid[] = "$Id: g_def_scale.c,v 1.4 1995/05/23 05:26:07 nakano Exp nakano $";

#include "g_private.h"

void
Cg_def_scale (id, x_left, x_right, y_bottom, y_top,
		 x_left_std, y_top_std, width_std, height_std)
    int		id;
    G_P_POS	x_left;
    G_P_POS	x_right;
    G_P_POS	y_bottom;
    G_P_POS	y_top;
    G_P_POS	x_left_std;
    G_P_POS	y_top_std;
    G_P_DIM	width_std;
    G_P_DIM	height_std;
{
    G_POS	xs, ys;

    EXTEND_SLOTS (SCALE_CONTEXT, scale, id, G_MAX_N_SCALES,
		  "g_def_scale : too many scales");
    scale -> slots[id].defined = G_YES;
    scale -> slots[id].x_scale = xs = width_std / (x_right - x_left);
    scale -> slots[id].y_scale = ys = height_std / (y_bottom - y_top);
    scale -> slots[id].x_offset = x_left_std - x_left * xs;
    scale -> slots[id].y_offset = y_top_std - y_top * ys;
}

void
F77g_def_scale (id, x_left, x_right, y_bottom, y_top,
		  x_left_std, y_top_std, width_std, height_std)
    int *	id;
    G_POS *	x_left;
    G_POS *	x_right;
    G_POS *	y_bottom;
    G_POS *	y_top;
    G_POS *	x_left_std;
    G_POS *	y_top_std;
    G_POS *	width_std;
    G_POS *	height_std;
{
    Cg_def_scale (* id, * x_left, * x_right, * y_bottom, * y_top,
			  * x_left_std, * y_top_std, * width_std, * height_std);
}

void
g_def_scale__ (id, x_left, x_right, y_bottom, y_top,
		  x_left_std, y_top_std, width_std, height_std)
    int *	id;
    G_POS *	x_left;
    G_POS *	x_right;
    G_POS *	y_bottom;
    G_POS *	y_top;
    G_POS *	x_left_std;
    G_POS *	y_top_std;
    G_POS *	width_std;
    G_POS *	height_std;
{
    Cg_def_scale (* id, * x_left, * x_right, * y_bottom, * y_top,
			  * x_left_std, * y_top_std, * width_std, * height_std);
}

