
static char rcsid[] = "$Id: g_sel_area.c,v 1.4 1995/05/23 05:26:22 nakano Exp nakano $";

#include "g_private.h"

void
Cg_sel_area (id)
    int		id;
{
    AREA_CONTEXT *	area;

    g_check_init ();
    area = g_context.area;

    if (id < 0 || area -> n_slots <= id || ! area -> slots[id].defined)
    {
	char	message[200];

	sprintf (message, "undefined area number %d ignored", id);
	g_warning ("g_sel_area", message);
	return;
    }

    if (area -> slots[id].color != area -> current.color)
    {
	area -> current = area ->slots[id];
	CALL_PROC (validate_area, NULL);
    }
}

void
F77g_sel_area (id)
    int *	id;
{
    Cg_sel_area (* id);
}

void
g_sel_area__ (id)
    int *	id;
{
    Cg_sel_area (* id);
}

