static char rcsid[] = "$Id: i88com.c,v 1.1 1993/03/11 08:05:50 nakano Exp nakano $";
#include    "g_out.h"
#define     firstg  -2
extern      FIGURE  m_fig;
extern M_CTRL      m_ctrl;
extern float       mat[3][2];
static M_attr      attr;
static float       xoff, yoff;
static int  current_no, retc;
static int  n_frames, first_frame;
static float PAPER_SIZE_X = 549.02;
static float PAPER_SIZE_Y = 795.23;
static float orig[MXFRAME][2];
static float lwidth[] = { 0.2, 0.6, 1.0, 1.4 };
static char  *color[] = { "0 0 0 1","0 1 1 0","1 0 1 0","1 1 0 0",
                          "0 1 0 0","0 0 1 0","1 0 0 0","0 0 0 0",};
static char  *acolor[] = { "0 0 0 1","0 1 1 0","1 0 1 0","1 1 0 0",
                           "0 1 0 0","0 0 1 0","1 0 0 0","0 0 0 0",};
static FILE    *fp;
static char    *filename, *mode;
FILE    *fopen();

static frame_orig();
static wrt_frame();
static get_mat();
static wrt_fig();
static ps_fig();
static put_cl();
static put_pl();
static put_pg();
static put_tx();
static skip_marker();
static skip_marker_size();
static skip_marker_type();
static skip_marker_color();

/* ================================================================================ */
i88_form()
{
    char buf[128];
    static float  fw;
    fw = 0.0;
    attr.lw = attr.clw =  1;
    attr.lt = attr.clt =  0;
    attr.ac = attr.cac =  firstg;
    fw = lwidth[ m_ctrl.width - 1 ] / 2;

    frame_orig();
    n_frames = m_ctrl.frame[0] * m_ctrl.frame[1];
    first_frame = TRUE;
    while( 1 ) {
        for( current_no = 0;  ;current_no++ ) {
	    sprintf( buf, "%s%02d", m_ctrl.ofile, current_no );
	    fp = fopen( buf, "w" );
	    if( fp == 0 ) return -1;
fprintf( fp, "%%!PS-Adobe-2.0 EPSF-1.2\n" );
fprintf( fp, "%%%%BoundingBox: 0 0 595 841\n" );
fprintf( fp, "%%%%DocumentProcessColors: Black\n");
fprintf( fp, "%%%%DocumentProcSets: Adobe_packedarray 1.0 0\n");
fprintf( fp, "%%%%DocumentSuppliedProcSets: Adobe_packedarray 1.0 0\n");
fprintf( fp, "%%%%DocumentProcSets: Adobe_cmykcolor 1.1 0\n");
fprintf( fp, "%%%%DocumentSuppliedProcSets: Adobe_cmykcolor 1.1 0\n");
fprintf( fp, "%%%%DocumentProcSets: Adobe_cshow 1.1 0\n");
fprintf( fp, "%%%%DocumentSuppliedProcSets: Adobe_cshow 1.1 0\n");
fprintf( fp, "%%%%DocumentProcSets: Adobe_customcolor 1.0 0\n");
fprintf( fp, "%%%%DocumentSuppliedProcSets: Adobe_customcolor 1.0 0\n");
fprintf( fp, "%%%%DocumentProcSets: Adobe_Illustrator881 1.19 0\n");
fprintf( fp, "%%%%DocumentSuppliedProcSets: Adobe_Illustrator881 1.19 0\n");
fprintf( fp, "%%%%ColorUsage: Black&White\n");
fprintf( fp, "%%%%DocumentPreview: Header\n");
fprintf( fp, "%%%%EndComments\n");
fprintf( fp, "%%%%BeginProcSet: Adobe_packedarray 1.0 0\n");
fprintf( fp, "%% packedarray Operators\n");
fprintf( fp, "%% Version 1.0 5/9/1988\n");
fprintf( fp, "%% Copyright (C) 1987-1992\n");
fprintf( fp, "%% Adobe Systems Incorporated\n");
fprintf( fp, "%% All Rights Reserved\n");
fprintf( fp, "userdict /Adobe_packedarray 5 dict dup begin put\n");
fprintf( fp, "/initialize			%% - initialize -\n");
fprintf( fp, "{\n");
fprintf( fp, "/packedarray where\n");
fprintf( fp, "	{\n");
fprintf( fp, "	pop\n");
fprintf( fp, "	}\n");
fprintf( fp, "	{\n");
fprintf( fp, "	Adobe_packedarray begin\n");
fprintf( fp, "	Adobe_packedarray\n");
fprintf( fp, "		{\n");
fprintf( fp, "		dup xcheck\n");
fprintf( fp, "			{\n");
fprintf( fp, "			bind\n");
fprintf( fp, "			} if\n");
fprintf( fp, "		userdict 3 1 roll put\n");
fprintf( fp, "		} forall\n");
fprintf( fp, "	end\n");
fprintf( fp, "	} ifelse\n");
fprintf( fp, "} def\n");
fprintf( fp, "/terminate			%% - terminate -\n");
fprintf( fp, "{\n");
fprintf( fp, "} def\n");
fprintf( fp, "/packedarray		%% arguments count packedarray array\n");
fprintf( fp, "{\n");
fprintf( fp, "array astore readonly\n");
fprintf( fp, "} def\n");
fprintf( fp, "/setpacking			%% boolean setpacking -\n");
fprintf( fp, "{\n");
fprintf( fp, "pop\n");
fprintf( fp, "} def\n");
fprintf( fp, "/currentpacking		%% - setpacking boolean\n");
fprintf( fp, "{\n");
fprintf( fp, "false\n");
fprintf( fp, "} def\n");
fprintf( fp, "currentdict readonly pop end\n");
fprintf( fp, "%%%%EndProcSet\n");
fprintf( fp, "Adobe_packedarray /initialize get exec\n");
fprintf( fp, "%%%%BeginProcSet: Adobe_cmykcolor 1.1 0\n");
fprintf( fp, "%% cmykcolor Operators\n");
fprintf( fp, "%% Version 1.1 1/23/1989\n");
fprintf( fp, "%% Copyright (C) 1987-1992\n");
fprintf( fp, "%% Adobe Systems Incorporated\n");
fprintf( fp, "%% All Rights Reserved\n");
fprintf( fp, "currentpacking true setpacking\n");
fprintf( fp, "userdict /Adobe_cmykcolor 4 dict dup begin put\n");
fprintf( fp, "/initialize			%% - initialize -\n");
fprintf( fp, "{\n");
fprintf( fp, "/setcmykcolor where\n");
fprintf( fp, "	{\n");
fprintf( fp, "	pop\n");
fprintf( fp, "	}\n");
fprintf( fp, "	{\n");
fprintf( fp, "	userdict /Adobe_cmykcolor_vars 2 dict dup begin put\n");
fprintf( fp, "	/_setrgbcolor\n");
fprintf( fp, "		/setrgbcolor load def\n");
fprintf( fp, "	/_currentrgbcolor\n");
fprintf( fp, "		/currentrgbcolor load def\n");
fprintf( fp, "	Adobe_cmykcolor begin\n");
fprintf( fp, "	Adobe_cmykcolor\n");
fprintf( fp, "		{\n");
fprintf( fp, "		dup xcheck\n");
fprintf( fp, "			{\n");
fprintf( fp, "			bind\n");
fprintf( fp, "			} if\n");
fprintf( fp, "		pop pop\n");
fprintf( fp, "		} forall\n");
fprintf( fp, "	end\n");
fprintf( fp, "	end\n");
fprintf( fp, "	Adobe_cmykcolor begin\n");
fprintf( fp, "	} ifelse\n");
fprintf( fp, "} def\n");
fprintf( fp, "/terminate			%% - terminate -\n");
fprintf( fp, "{\n");
fprintf( fp, "currentdict Adobe_cmykcolor eq\n");
fprintf( fp, "	{\n");
fprintf( fp, "	end\n");
fprintf( fp, "	} if\n");
fprintf( fp, "} def\n");
fprintf( fp, "/setcmykcolor		%% cyan magenta yellow black setcmykcolor -\n");
fprintf( fp, "{\n");
fprintf( fp, "1 sub 4 1 roll\n");
fprintf( fp, "3\n");
fprintf( fp, "	{\n");
fprintf( fp, "	3 index add neg dup 0 lt\n");
fprintf( fp, "		{\n");
fprintf( fp, "		pop 0\n");
fprintf( fp, "		} if\n");
fprintf( fp, "	3 1 roll\n");
fprintf( fp, "	} repeat\n");
fprintf( fp, "Adobe_cmykcolor_vars /_setrgbcolor get exec\n");
fprintf( fp, "pop\n");
fprintf( fp, "} def \n");
fprintf( fp, "/currentcmykcolor	%% - currentcmykcolor cyan magenta yellow black\n");
fprintf( fp, "{\n");
fprintf( fp, "Adobe_cmykcolor_vars /_currentrgbcolor get exec\n");
fprintf( fp, "3\n");
fprintf( fp, "	{\n");
fprintf( fp, "	1 sub neg 3 1 roll\n");
fprintf( fp, "	} repeat\n");
fprintf( fp, "0\n");
fprintf( fp, "} def\n");
fprintf( fp, "currentdict readonly pop end\n");
fprintf( fp, "setpacking\n");
fprintf( fp, "%%%%EndProcSet\n");
fprintf( fp, "%%%%BeginProcSet: Adobe_cshow 1.1 0\n");
fprintf( fp, "%% cshow Operator\n");
fprintf( fp, "%% Version 1.1 1/23/1989\n");
fprintf( fp, "%% Copyright (C) 1987-1992\n");
fprintf( fp, "%% Adobe Systems Incorporated\n");
fprintf( fp, "%% All Rights Reserved\n");
fprintf( fp, "currentpacking true setpacking\n");
fprintf( fp, "userdict /Adobe_cshow 3 dict dup begin put\n");
fprintf( fp, "/initialize			%% - initialize -\n");
fprintf( fp, "{\n");
fprintf( fp, "/cshow where\n");
fprintf( fp, "	{\n");
fprintf( fp, "	pop\n");
fprintf( fp, "	}\n");
fprintf( fp, "	{\n");
fprintf( fp, "	userdict /Adobe_cshow_vars 1 dict dup begin put\n");
fprintf( fp, "	/_cshow		%% - _cshow proc\n");
fprintf( fp, "		{} def\n");
fprintf( fp, "	Adobe_cshow begin\n");
fprintf( fp, "	Adobe_cshow\n");
fprintf( fp, "		{\n");
fprintf( fp, "		dup xcheck\n");
fprintf( fp, "			{\n");
fprintf( fp, "			bind\n");
fprintf( fp, "			} if\n");
fprintf( fp, "		userdict 3 1 roll put\n");
fprintf( fp, "		} forall\n");
fprintf( fp, "	end\n");
fprintf( fp, "	end\n");
fprintf( fp, "	} ifelse\n");
fprintf( fp, "} def\n");
fprintf( fp, "/terminate			%% - terminate -\n");
fprintf( fp, "{\n");
fprintf( fp, "} def\n");
fprintf( fp, "/cshow				%% proc string cshow -\n");
fprintf( fp, "{\n");
fprintf( fp, "exch\n");
fprintf( fp, "Adobe_cshow_vars\n");
fprintf( fp, "	exch /_cshow\n");
fprintf( fp, "	exch put\n");
fprintf( fp, "	{\n");
fprintf( fp, "	0 0 Adobe_cshow_vars /_cshow get exec\n");
fprintf( fp, "	} forall\n");
fprintf( fp, "} def\n");
fprintf( fp, "currentdict readonly pop end\n");
fprintf( fp, "setpacking\n");
fprintf( fp, "%%%%EndProcSet\n");
fprintf( fp, "%%%%BeginProcSet: Adobe_customcolor 1.0 0\n");
fprintf( fp, "%% Custom Color Operators\n");
fprintf( fp, "%% Version 1.0 5/9/1988\n");
fprintf( fp, "%% Copyright (C) 1987-1992\n");
fprintf( fp, "%% Adobe Systems Incorporated\n");
fprintf( fp, "%% All Rights Reserved\n");
fprintf( fp, "currentpacking true setpacking\n");
fprintf( fp, "userdict /Adobe_customcolor 5 dict dup begin put\n");
fprintf( fp, "/initialize			%% - initialize -\n");
fprintf( fp, "{\n");
fprintf( fp, "/setcustomcolor where\n");
fprintf( fp, "	{\n");
fprintf( fp, "	pop\n");
fprintf( fp, "	}\n");
fprintf( fp, "	{\n");
fprintf( fp, "	Adobe_customcolor begin\n");
fprintf( fp, "	Adobe_customcolor\n");
fprintf( fp, "		{\n");
fprintf( fp, "		dup xcheck\n");
fprintf( fp, "			{\n");
fprintf( fp, "			bind\n");
fprintf( fp, "			} if\n");
fprintf( fp, "		pop pop\n");
fprintf( fp, "		} forall\n");
fprintf( fp, "	end\n");
fprintf( fp, "	Adobe_customcolor begin\n");
fprintf( fp, "	} ifelse\n");
fprintf( fp, "} def\n");
fprintf( fp, "/terminate			%% - terminate -\n");
fprintf( fp, "{\n");
fprintf( fp, "currentdict Adobe_customcolor eq\n");
fprintf( fp, "	{\n");
fprintf( fp, "	end\n");
fprintf( fp, "	} if\n");
fprintf( fp, "} def\n");
fprintf( fp, "/findcmykcustomcolor	%% cyan magenta yellow black name findcmykcustomcolor object\n");
fprintf( fp, "{\n");
fprintf( fp, "5 packedarray\n");
fprintf( fp, "}  def\n");
fprintf( fp, "/setcustomcolor		%% object tint setcustomcolor -\n");
fprintf( fp, "{\n");
fprintf( fp, "exch\n");
fprintf( fp, "aload pop pop\n");
fprintf( fp, "4\n");
fprintf( fp, "	{\n");
fprintf( fp, "	4 index mul 4 1 roll\n");
fprintf( fp, "	} repeat\n");
fprintf( fp, "5 -1 roll pop\n");
fprintf( fp, "setcmykcolor\n");
fprintf( fp, "} def\n");
fprintf( fp, "/setoverprint		%% boolean setoverprint -\n");
fprintf( fp, "{\n");
fprintf( fp, "pop\n");
fprintf( fp, "} def\n");
fprintf( fp, "currentdict readonly pop end\n");
fprintf( fp, "setpacking\n");
fprintf( fp, "%%%%EndProcSet\n");
fprintf( fp, "%%%%BeginProcSet: Adobe_Illustrator881 1.19 0\n");
fprintf( fp, "%% Adobe Illustrator (TM) Prolog\n");
fprintf( fp, "%% Version 1.19 1/23/1989\n");
fprintf( fp, "%% Copyright (C) 1987-1992\n");
fprintf( fp, "%% Adobe Systems Incorporated\n");
fprintf( fp, "%% All Rights Reserved\n");
fprintf( fp, "currentpacking true setpacking\n");
fprintf( fp, "userdict /Adobe_Illustrator881 72 dict dup begin put\n");
fprintf( fp, "%% initialization\n");
fprintf( fp, "/initialize				%% - initialize -\n");
fprintf( fp, "{\n");
fprintf( fp, "userdict /Adobe_Illustrator881_vars 29 dict dup begin put\n");
fprintf( fp, "%% paint operands\n");
fprintf( fp, "/_lp /none def\n");
fprintf( fp, "/_pf {} def\n");
fprintf( fp, "/_ps {} def\n");
fprintf( fp, "/_psf {} def\n");
fprintf( fp, "/_pss {} def\n");
fprintf( fp, "%% text operands\n");
fprintf( fp, "/_a null def\n");
fprintf( fp, "/_as null def\n");
fprintf( fp, "/_tt 2 array def\n");
fprintf( fp, "/_tl 2 array def\n");
fprintf( fp, "/_tm matrix def\n");
fprintf( fp, "/t {} def\n");
fprintf( fp, "%% color operands\n");
fprintf( fp, "/_gf null def\n");
fprintf( fp, "/_cf 4 array def\n");
fprintf( fp, "/_if null def\n");
fprintf( fp, "/_of false def\n");
fprintf( fp, "/_fc {} def\n");
fprintf( fp, "/_gs null def\n");
fprintf( fp, "/_cs 4 array def\n");
fprintf( fp, "/_is null def\n");
fprintf( fp, "/_os false def\n");
fprintf( fp, "/_sc {} def\n");
fprintf( fp, "/_i null def\n");
fprintf( fp, "Adobe_Illustrator881 begin\n");
fprintf( fp, "Adobe_Illustrator881\n");
fprintf( fp, "	{\n");
fprintf( fp, "	dup xcheck\n");
fprintf( fp, "		{\n");
fprintf( fp, "		bind\n");
fprintf( fp, "		} if\n");
fprintf( fp, "	pop pop\n");
fprintf( fp, "	} forall\n");
fprintf( fp, "end\n");
fprintf( fp, "end\n");
fprintf( fp, "Adobe_Illustrator881 begin\n");
fprintf( fp, "Adobe_Illustrator881_vars begin\n");
fprintf( fp, "newpath\n");
fprintf( fp, "} def\n");
fprintf( fp, "/terminate				%% - terminate -\n");
fprintf( fp, "{\n");
fprintf( fp, "end\n");
fprintf( fp, "end\n");
fprintf( fp, "} def\n");
fprintf( fp, "%% definition operators\n");
fprintf( fp, "/_					%% - _ null\n");
fprintf( fp, "null def\n");
fprintf( fp, "/ddef				%% key value ddef -\n");
fprintf( fp, "{\n");
fprintf( fp, "Adobe_Illustrator881_vars 3 1 roll put\n");
fprintf( fp, "} def\n");
fprintf( fp, "/xput				%% key value literal xput -\n");
fprintf( fp, "{\n");
fprintf( fp, "dup load dup length exch maxlength eq\n");
fprintf( fp, "	{\n");
fprintf( fp, "	dup dup load dup\n");
fprintf( fp, "	length 2 mul dict copy def\n");
fprintf( fp, "	} if\n");
fprintf( fp, "load begin def end\n");
fprintf( fp, "} def\n");
fprintf( fp, "/npop				%% integer npop -\n");
fprintf( fp, "{\n");
fprintf( fp, "	{\n");
fprintf( fp, "	pop\n");
fprintf( fp, "	} repeat\n");
fprintf( fp, "} def\n");
fprintf( fp, "%% marking operators\n");
fprintf( fp, "/sw					%% ax ay length string sw x y\n");
fprintf( fp, "{\n");
fprintf( fp, "stringwidth\n");
fprintf( fp, "exch 5 -1 roll 3 index 1 sub mul add\n");
fprintf( fp, "4 1 roll 3 1 roll 1 sub mul add\n");
fprintf( fp, "} def\n");
fprintf( fp, "/ss					%% ax ay length string matrix ss -\n");
fprintf( fp, "{\n");
fprintf( fp, "3 -1 roll pop\n");
fprintf( fp, "4 1 roll\n");
fprintf( fp, "	{\n");
fprintf( fp, "	2 npop (0) exch\n");
fprintf( fp, "	2 copy 0 exch put pop\n");
fprintf( fp, "	gsave\n");
fprintf( fp, "	false charpath\n");
fprintf( fp, "	currentpoint\n");
fprintf( fp, "	4 index setmatrix\n");
fprintf( fp, "	stroke\n");
fprintf( fp, "	grestore\n");
fprintf( fp, "	moveto\n");
fprintf( fp, "	2 copy rmoveto\n");
fprintf( fp, "	} exch cshow\n");
fprintf( fp, "3 npop\n");
fprintf( fp, "} def\n");
fprintf( fp, "%% path operators\n");
fprintf( fp, "/sp					%% ax ay length string sp -\n");
fprintf( fp, "{\n");
fprintf( fp, "exch pop\n");
fprintf( fp, "	{\n");
fprintf( fp, "	2 npop (0) exch\n");
fprintf( fp, "	2 copy 0 exch put pop\n");
fprintf( fp, "	false charpath\n");
fprintf( fp, "	2 copy rmoveto\n");
fprintf( fp, "	} exch cshow\n");
fprintf( fp, "2 npop\n");
fprintf( fp, "} def\n");
fprintf( fp, "%% path construction operators\n");
fprintf( fp, "/pl					%% x y pl x y\n");
fprintf( fp, "{\n");
fprintf( fp, "transform\n");
fprintf( fp, "0.25 sub round 0.25 add exch\n");
fprintf( fp, "0.25 sub round 0.25 add exch\n");
fprintf( fp, "itransform\n");
fprintf( fp, "} def\n");
fprintf( fp, "/setstrokeadjust where\n");
fprintf( fp, "{\n");
fprintf( fp, "pop true setstrokeadjust\n");
fprintf( fp, "/c				%% x1 y1 x2 y2 x3 y3 c -\n");
fprintf( fp, "{\n");
fprintf( fp, "curveto\n");
fprintf( fp, "} def\n");
fprintf( fp, "/C\n");
fprintf( fp, "/c load def\n");
fprintf( fp, "/v				%% x2 y2 x3 y3 v -\n");
fprintf( fp, "{\n");
fprintf( fp, "currentpoint 6 2 roll curveto\n");
fprintf( fp, "} def\n");
fprintf( fp, "/V\n");
fprintf( fp, "/v load def\n");
fprintf( fp, "/y				%% x1 y1 x2 y2 y -\n");
fprintf( fp, "{\n");
fprintf( fp, "2 copy curveto\n");
fprintf( fp, "} def\n");
fprintf( fp, "/Y\n");
fprintf( fp, "/y load def\n");
fprintf( fp, "/l				%% x y l -\n");
fprintf( fp, "{\n");
fprintf( fp, "lineto\n");
fprintf( fp, "} def\n");
fprintf( fp, "/L\n");
fprintf( fp, "/l load def\n");
fprintf( fp, "/m				%% x y m -\n");
fprintf( fp, "{\n");
fprintf( fp, "moveto\n");
fprintf( fp, "} def\n");
fprintf( fp, "}\n");
fprintf( fp, "{\n");
fprintf( fp, "/c\n");
fprintf( fp, "{\n");
fprintf( fp, "pl curveto\n");
fprintf( fp, "} def\n");
fprintf( fp, "/C\n");
fprintf( fp, "/c load def\n");
fprintf( fp, "/v\n");
fprintf( fp, "{\n");
fprintf( fp, "currentpoint 6 2 roll pl curveto\n");
fprintf( fp, "} def\n");
fprintf( fp, "/V\n");
fprintf( fp, "/v load def\n");
fprintf( fp, "/y\n");
fprintf( fp, "{\n");
fprintf( fp, "pl 2 copy curveto\n");
fprintf( fp, "} def\n");
fprintf( fp, "/Y\n");
fprintf( fp, "/y load def\n");
fprintf( fp, "/l\n");
fprintf( fp, "{\n");
fprintf( fp, "pl lineto\n");
fprintf( fp, "} def\n");
fprintf( fp, "/L\n");
fprintf( fp, "/l load def\n");
fprintf( fp, "/m\n");
fprintf( fp, "{\n");
fprintf( fp, "pl moveto\n");
fprintf( fp, "} def\n");
fprintf( fp, "} ifelse\n");
fprintf( fp, "%% graphic state operators\n");
fprintf( fp, "/d					%% array phase d -\n");
fprintf( fp, "{\n");
fprintf( fp, "setdash\n");
fprintf( fp, "} def\n");
fprintf( fp, "/cf					%% - cf flatness\n");
fprintf( fp, "currentflat def\n");
fprintf( fp, "/i					%% flatness i -\n");
fprintf( fp, "{\n");
fprintf( fp, "dup 0 eq\n");
fprintf( fp, "	{\n");
fprintf( fp, "	pop cf\n");
fprintf( fp, "	} if\n");
fprintf( fp, "setflat\n");
fprintf( fp, "} def\n");
fprintf( fp, "/j					%% linejoin j -\n");
fprintf( fp, "{\n");
fprintf( fp, "setlinejoin\n");
fprintf( fp, "} def\n");
fprintf( fp, "/J					%% linecap J -\n");
fprintf( fp, "{\n");
fprintf( fp, "setlinecap\n");
fprintf( fp, "} def\n");
fprintf( fp, "/M					%% miterlimit M -\n");
fprintf( fp, "{\n");
fprintf( fp, "setmiterlimit\n");
fprintf( fp, "} def\n");
fprintf( fp, "/w					%% linewidth w -\n");
fprintf( fp, "{\n");
fprintf( fp, "setlinewidth\n");
fprintf( fp, "} def\n");
fprintf( fp, "%% path painting operators\n");
fprintf( fp, "/H					%% - H -\n");
fprintf( fp, "{} def\n");
fprintf( fp, "/h					%% - h -\n");
fprintf( fp, "{\n");
fprintf( fp, "closepath\n");
fprintf( fp, "} def\n");
fprintf( fp, "/N					%% - N -\n");
fprintf( fp, "{\n");
fprintf( fp, "newpath\n");
fprintf( fp, "} def\n");
fprintf( fp, "/n					%% - n -\n");
fprintf( fp, "/N load def\n");
fprintf( fp, "/F					%% - F -\n");
fprintf( fp, "{\n");
fprintf( fp, "_pf\n");
fprintf( fp, "} def\n");
fprintf( fp, "/f					%% - f -\n");
fprintf( fp, "{\n");
fprintf( fp, "closepath\n");
fprintf( fp, "F\n");
fprintf( fp, "} def\n");
fprintf( fp, "/S					%% - S -\n");
fprintf( fp, "{\n");
fprintf( fp, "_ps\n");
fprintf( fp, "} def\n");
fprintf( fp, "/s					%% - s -\n");
fprintf( fp, "{\n");
fprintf( fp, "closepath\n");
fprintf( fp, "S\n");
fprintf( fp, "} def\n");
fprintf( fp, "/B					%% - B -\n");
fprintf( fp, "{\n");
fprintf( fp, "gsave F grestore\n");
fprintf( fp, "S\n");
fprintf( fp, "} def\n");
fprintf( fp, "/b					%% - b -\n");
fprintf( fp, "{\n");
fprintf( fp, "closepath\n");
fprintf( fp, "B\n");
fprintf( fp, "} def\n");
fprintf( fp, "/W					%% - W -\n");
fprintf( fp, "{\n");
fprintf( fp, "clip\n");
fprintf( fp, "} def\n");
fprintf( fp, "%% text painting operators\n");
fprintf( fp, "/ta					%% length string ta ax ay length string\n");
fprintf( fp, "{\n");
fprintf( fp, "_as moveto\n");
fprintf( fp, "_tt aload pop 4 -2 roll\n");
fprintf( fp, "} def\n");
fprintf( fp, "/tl					%% - tl -\n");
fprintf( fp, "{\n");
fprintf( fp, "_tl aload pop translate\n");
fprintf( fp, "} def\n");
fprintf( fp, "/as					%% - as array\n");
fprintf( fp, "{\n");
fprintf( fp, "{\n");
fprintf( fp, "0 0\n");
fprintf( fp, "}\n");
fprintf( fp, "{\n");
fprintf( fp, "2 copy _tt aload pop 4 -2 roll sw\n");
fprintf( fp, "exch neg 2 div exch neg 2 div\n");
fprintf( fp, "}\n");
fprintf( fp, "{\n");
fprintf( fp, "2 copy _tt aload pop 4 -2 roll sw\n");
fprintf( fp, "exch neg exch neg\n");
fprintf( fp, "}\n");
fprintf( fp, "{\n");
fprintf( fp, "0 0\n");
fprintf( fp, "}\n");
fprintf( fp, "} cvlit def\n");
fprintf( fp, "/z					%% literal size leading tracking align z -\n");
fprintf( fp, "{\n");
fprintf( fp, "/_a exch ddef\n");
fprintf( fp, "/_as as _a get ddef\n");
fprintf( fp, "_a 2 le\n");
fprintf( fp, "	{\n");
fprintf( fp, "	0 _tt astore pop\n");
fprintf( fp, "	0 exch neg _tl astore pop\n");
fprintf( fp, "	}\n");
fprintf( fp, "	{\n");
fprintf( fp, "	0 exch neg _tt astore pop\n");
fprintf( fp, "	neg 0 _tl astore pop\n");
fprintf( fp, "	} ifelse\n");
fprintf( fp, "exch findfont exch scalefont setfont\n");
fprintf( fp, "} def\n");
fprintf( fp, "/tm					%% matrix tm -\n");
fprintf( fp, "{\n");
fprintf( fp, "_tm currentmatrix pop\n");
fprintf( fp, "concat\n");
fprintf( fp, "} def\n");
fprintf( fp, "/I					%% matrix I -\n");
fprintf( fp, "{\n");
fprintf( fp, "tm\n");
fprintf( fp, "/t\n");
fprintf( fp, "	{\n");
fprintf( fp, "	ta sp\n");
fprintf( fp, "	tl\n");
fprintf( fp, "	} ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "/o					%% matrix o -\n");
fprintf( fp, "{\n");
fprintf( fp, "tm\n");
fprintf( fp, "/t\n");
fprintf( fp, "	{\n");
fprintf( fp, "	ta 4 npop\n");
fprintf( fp, "	tl\n");
fprintf( fp, "	newpath\n");
fprintf( fp, "	} ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "/e					%% matrix e -\n");
fprintf( fp, "{\n");
fprintf( fp, "tm\n");
fprintf( fp, "/t\n");
fprintf( fp, "	{\n");
fprintf( fp, "	ta _psf\n");
fprintf( fp, "	tl\n");
fprintf( fp, "	newpath\n");
fprintf( fp, "	} ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "/r					%% matrix r -\n");
fprintf( fp, "{\n");
fprintf( fp, "tm\n");
fprintf( fp, "/t\n");
fprintf( fp, "	{\n");
fprintf( fp, "	ta _tm _pss\n");
fprintf( fp, "	tl\n");
fprintf( fp, "	newpath\n");
fprintf( fp, "	} ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "/a					%% matrix a -\n");
fprintf( fp, "{\n");
fprintf( fp, "tm\n");
fprintf( fp, "/t\n");
fprintf( fp, "	{\n");
fprintf( fp, "	2 copy\n");
fprintf( fp, "	ta _psf\n");
fprintf( fp, "	newpath\n");
fprintf( fp, "	ta _tm _pss\n");
fprintf( fp, "	tl\n");
fprintf( fp, "	newpath\n");
fprintf( fp, "	} ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "/T					%% - T -\n");
fprintf( fp, "{\n");
fprintf( fp, "_tm setmatrix\n");
fprintf( fp, "} def\n");
fprintf( fp, "%% font operators\n");
fprintf( fp, "/Z					%% array literal literal direction Z -\n");
fprintf( fp, "{\n");
fprintf( fp, "pop\n");
fprintf( fp, "findfont begin\n");
fprintf( fp, "currentdict dup length 1 add dict begin\n");
fprintf( fp, "	{\n");
fprintf( fp, "	1 index /FID ne\n");
fprintf( fp, "		{\n");
fprintf( fp, "		def\n");
fprintf( fp, "		}\n");
fprintf( fp, "		{\n");
fprintf( fp, "		2 npop\n");
fprintf( fp, "		} ifelse\n");
fprintf( fp, "	} forall\n");
fprintf( fp, "/FontName exch def dup length 0 ne\n");
fprintf( fp, "	{\n");
fprintf( fp, "	/Encoding Encoding 256 array copy def\n");
fprintf( fp, "	0 exch\n");
fprintf( fp, "		{\n");
fprintf( fp, "		dup type /nametype eq\n");
fprintf( fp, "			{\n");
fprintf( fp, "			Encoding 2 index 2 index put pop\n");
fprintf( fp, "			1 add\n");
fprintf( fp, "			}\n");
fprintf( fp, "			{\n");
fprintf( fp, "			exch pop\n");
fprintf( fp, "			} ifelse\n");
fprintf( fp, "		} forall\n");
fprintf( fp, "	} if pop\n");
fprintf( fp, "currentdict dup end end\n");
fprintf( fp, "/FontName get exch definefont pop\n");
fprintf( fp, "} def\n");
fprintf( fp, "%% group operators\n");
fprintf( fp, "/u					%% - u -\n");
fprintf( fp, "{} def\n");
fprintf( fp, "/U					%% - U -\n");
fprintf( fp, "{} def\n");
fprintf( fp, "/q					%% - q -\n");
fprintf( fp, "{\n");
fprintf( fp, "gsave\n");
fprintf( fp, "} def\n");
fprintf( fp, "/Q					%% - Q -\n");
fprintf( fp, "{\n");
fprintf( fp, "grestore\n");
fprintf( fp, "} def\n");
fprintf( fp, "%% place operators\n");
fprintf( fp, "/`					%% matrix llx lly urx ury string ` -\n");
fprintf( fp, "{\n");
fprintf( fp, "/_i save ddef\n");
fprintf( fp, "6 1 roll 4 npop\n");
fprintf( fp, "concat\n");
fprintf( fp, "userdict begin\n");
fprintf( fp, "/showpage {} def\n");
fprintf( fp, "false setoverprint\n");
fprintf( fp, "pop\n");
fprintf( fp, "} def\n");
fprintf( fp, "/~					%% - ~ -\n");
fprintf( fp, "{\n");
fprintf( fp, "end\n");
fprintf( fp, "_i restore\n");
fprintf( fp, "} def\n");
fprintf( fp, "%% color operators\n");
fprintf( fp, "/O					%% flag O -\n");
fprintf( fp, "{\n");
fprintf( fp, "0 ne\n");
fprintf( fp, "/_of exch ddef\n");
fprintf( fp, "/_lp /none ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "/R					%% flag R -\n");
fprintf( fp, "{\n");
fprintf( fp, "0 ne\n");
fprintf( fp, "/_os exch ddef\n");
fprintf( fp, "/_lp /none ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "/g					%% gray g -\n");
fprintf( fp, "{\n");
fprintf( fp, "/_gf exch ddef\n");
fprintf( fp, "/_fc\n");
fprintf( fp, "{\n");
fprintf( fp, "_lp /fill ne\n");
fprintf( fp, "	{\n");
fprintf( fp, "	_of setoverprint\n");
fprintf( fp, "	_gf setgray\n");
fprintf( fp, "	/_lp /fill ddef\n");
fprintf( fp, "	} if\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_pf\n");
fprintf( fp, "{\n");
fprintf( fp, "_fc\n");
fprintf( fp, "fill\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_psf\n");
fprintf( fp, "{\n");
fprintf( fp, "_fc\n");
fprintf( fp, "exch pop\n");
fprintf( fp, "ashow\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_lp /none ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "/G					%% gray G -\n");
fprintf( fp, "{\n");
fprintf( fp, "/_gs exch ddef\n");
fprintf( fp, "/_sc\n");
fprintf( fp, "{\n");
fprintf( fp, "_lp /stroke ne\n");
fprintf( fp, "	{\n");
fprintf( fp, "	_os setoverprint\n");
fprintf( fp, "	_gs setgray\n");
fprintf( fp, "	/_lp /stroke ddef\n");
fprintf( fp, "	} if\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_ps\n");
fprintf( fp, "{\n");
fprintf( fp, "_sc\n");
fprintf( fp, "stroke\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_pss\n");
fprintf( fp, "{\n");
fprintf( fp, "_sc\n");
fprintf( fp, "ss\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_lp /none ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "/k					%% cyan magenta yellow black k -\n");
fprintf( fp, "{\n");
fprintf( fp, "_cf astore pop\n");
fprintf( fp, "/_fc\n");
fprintf( fp, "{\n");
fprintf( fp, "_lp /fill ne\n");
fprintf( fp, "	{\n");
fprintf( fp, "	_of setoverprint\n");
fprintf( fp, "	_cf aload pop setcmykcolor\n");
fprintf( fp, "	/_lp /fill ddef\n");
fprintf( fp, "	} if\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_pf\n");
fprintf( fp, "{\n");
fprintf( fp, "_fc\n");
fprintf( fp, "fill\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_psf\n");
fprintf( fp, "{\n");
fprintf( fp, "_fc\n");
fprintf( fp, "exch pop\n");
fprintf( fp, "ashow\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_lp /none ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "/K					%% cyan magenta yellow black K -\n");
fprintf( fp, "{\n");
fprintf( fp, "_cs astore pop\n");
fprintf( fp, "/_sc\n");
fprintf( fp, "{\n");
fprintf( fp, "_lp /stroke ne\n");
fprintf( fp, "	{\n");
fprintf( fp, "	_os setoverprint\n");
fprintf( fp, "	_cs aload pop setcmykcolor\n");
fprintf( fp, "	/_lp /stroke ddef\n");
fprintf( fp, "	} if\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_ps\n");
fprintf( fp, "{\n");
fprintf( fp, "_sc\n");
fprintf( fp, "stroke\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_pss\n");
fprintf( fp, "{\n");
fprintf( fp, "_sc\n");
fprintf( fp, "ss\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_lp /none ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "/x					%% cyan magenta yellow black name gray x -\n");
fprintf( fp, "{\n");
fprintf( fp, "/_gf exch ddef\n");
fprintf( fp, "findcmykcustomcolor\n");
fprintf( fp, "/_if exch ddef\n");
fprintf( fp, "/_fc\n");
fprintf( fp, "{\n");
fprintf( fp, "_lp /fill ne\n");
fprintf( fp, "	{\n");
fprintf( fp, "	_of setoverprint\n");
fprintf( fp, "	_if _gf 1 exch sub setcustomcolor\n");
fprintf( fp, "	/_lp /fill ddef\n");
fprintf( fp, "	} if\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_pf\n");
fprintf( fp, "{\n");
fprintf( fp, "_fc\n");
fprintf( fp, "fill\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_psf\n");
fprintf( fp, "{\n");
fprintf( fp, "_fc\n");
fprintf( fp, "exch pop\n");
fprintf( fp, "ashow\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_lp /none ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "/X					%% cyan magenta yellow black name gray X -\n");
fprintf( fp, "{\n");
fprintf( fp, "/_gs exch ddef\n");
fprintf( fp, "findcmykcustomcolor\n");
fprintf( fp, "/_is exch ddef\n");
fprintf( fp, "/_sc\n");
fprintf( fp, "{\n");
fprintf( fp, "_lp /stroke ne\n");
fprintf( fp, "	{\n");
fprintf( fp, "	_os setoverprint\n");
fprintf( fp, "	_is _gs 1 exch sub setcustomcolor\n");
fprintf( fp, "	/_lp /stroke ddef\n");
fprintf( fp, "	} if\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_ps\n");
fprintf( fp, "{\n");
fprintf( fp, "_sc\n");
fprintf( fp, "stroke\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_pss\n");
fprintf( fp, "{\n");
fprintf( fp, "_sc\n");
fprintf( fp, "ss\n");
fprintf( fp, "} ddef\n");
fprintf( fp, "/_lp /none ddef\n");
fprintf( fp, "} def\n");
fprintf( fp, "%% locked object operators\n");
fprintf( fp, "/A					%% value A -\n");
fprintf( fp, "{\n");
fprintf( fp, "pop\n");
fprintf( fp, "} def\n");
fprintf( fp, "currentdict readonly pop end\n");
fprintf( fp, "setpacking\n");
fprintf( fp, "%%%%EndProcSet\n");
fprintf( fp, "%%%%EndProlog\n");
fprintf( fp, "%%%%BeginSetup\n");
fprintf( fp, "Adobe_cmykcolor /initialize get exec\n");
fprintf( fp, "Adobe_cshow /initialize get exec\n");
fprintf( fp, "Adobe_customcolor /initialize get exec\n");
fprintf( fp, "Adobe_Illustrator881 /initialize get exec\n");
fprintf( fp, "%%%%EndSetup\n");
fprintf( fp, "0 A\n" );
fprintf( fp, "u\n" );
fprintf( fp, "0 O\n" );
fprintf( fp, "0 g\n" ); 
fprintf( fp, "0 G\n" );
fprintf( fp, "0 i 1 J 1 j 0.2 w 4 M []0 d\n" );
fprintf( fp, "%%%%Note:\n");
            get_mat();
            retc = wrt_fig();
            wrt_frame();
fprintf( fp, "U\n" );            
fprintf( fp, "%%%%PageTrailer\n");
fprintf( fp, "%%%%Trailer\n");
fprintf( fp, "Adobe_Illustrator881 /terminate get exec\n");
fprintf( fp, "Adobe_customcolor /terminate get exec\n");
fprintf( fp, "Adobe_cshow /terminate get exec\n");
fprintf( fp, "Adobe_cmykcolor /terminate get exec\n");
fprintf( fp, "Adobe_packedarray /terminate get exec\n");
fprintf( fp, "%%%%EOF\n");
            fclose( fp );
            attr.clt = 0;
            attr.cac = 0;
	    if( retc == EOF ) break;
	  }
	if( retc == EOF ) break;
        }
	return 0;
 }

/*  =============================================================================== */
static frame_orig()
{
    int     tate, yoko, i;

        tate = m_ctrl.frame[0];
        yoko = m_ctrl.frame[1];

    if( m_ctrl.vflag ) {                      /* paper tate-oki */
        xoff = PAPER_SIZE_X/yoko;
        yoff = PAPER_SIZE_Y/tate;
      } else {                                  /* paper yoko-oki */
        xoff = PAPER_SIZE_Y/yoko;
        yoff = PAPER_SIZE_X/tate;
      }
        for( i = 0; i < n_frames; i++ )         /* All frame origin equal to */
                orig[i][0] = orig[i][1] = 0;    /* paper origin on Illustrator*/
}

/* =============================================================================== */
static wrt_frame()
{
	return 0;
}

/* =============================================================================== */
static get_mat()
{
    int     i, j;
    float   temp;

    for( i = 0; i < 3; i++ ) {
        for( j = 0; j < 2; j++ ) {
            if( i == j )    mat[i][j] = 1.0;
            else            mat[i][j] = 0.0;
        }
    }
    /* rotation */
    if( m_ctrl.vflag == FALSE ) {
        for( i = 0; i < 3; i++ ) {
            temp      = -mat[i][1];
            mat[i][1] =  mat[i][0];
            mat[i][0] =  temp;
        }
    }

    /* map to laser-writer-coord */
    for( i = 0; i < 3; i++ ) {
        mat[i][0] =  mat[i][0]  * MMPERPOINT * m_ctrl.mag;
        mat[i][1] = -mat[i][1]  * MMPERPOINT * m_ctrl.mag;
    }
    /*  translate to frame origin   */
        if( m_ctrl.vflag == TRUE ) {
            mat[2][0] = mat[2][0] - 92.5;
            mat[2][1] = mat[2][1] + 690.5;
        } else {
            mat[2][0] = mat[2][0] + 538.5;
            mat[2][1] = mat[2][1] + 780.5;
        }
}

/* =============================================================================== */
static wrt_fig()
{
    retc = ps_fig();
    return retc;
}

/* =============================================================================== */
static ps_fig()
{
    int     code;

    while ( ( code = m_inq_code() ) != EOF ) {
        switch ( code ) {
            case  CIRCLE_CODE   : put_cl()      ; break;
            case  POLYLINE_CODE : put_pl()      ; break;
            case  POLYGON_CODE  : put_pg()      ; break;
            case  MARKER_CODE   : skip_marker() ; break;
            case  TEXT_CODE     : put_tx()      ; break;
            case  LINE_WIDTH_CODE   : m_inq_line_width( &attr.lw ) ; break;
            case  LINE_TYPE_CODE    : m_inq_line_type( &attr.lt )  ; break;
            case  LINE_COLOR_CODE   : m_inq_line_color( &attr.lc ) ; break;
            case  MARKER_SIZE_CODE  : skip_marker_size()           ; break;
            case  MARKER_TYPE_CODE  : skip_marker_type()           ; break;
            case  MARKER_COLOR_CODE : skip_marker_color()          ; break;
            case  AREA_COLOR_CODE   : m_inq_area_color( &attr.ac ) ; break;
            case  TEXT_COLOR_CODE   : m_inq_text_color( &attr.tc ) ; break;
            case  CLS_CODE          : if( first_frame )
                                            first_frame = FALSE;
                                      else
                                            return 0;
            default : ; break;
        }
    }
    return EOF;
}

/* ------------------------------------------------------------------------------- */
static put_cl()
{
    int    fill;
    float  center[2], r;

    retc = m_inq_circle( &center[0], &center[1], &r, &fill );
    if( retc != 0 ) return retc;

    do_tran( center );
    r = r * MMPERPOINT * m_ctrl.mag;
                                                    /* circle data set */
    circle_data_set( center[0], center[1], r );

    if( attr.lt != attr.clt ) {                     /* line type set */
        switch( attr.lt ) {
        case 1 : fprintf( fp, "[1]0 d\n" ) ;attr.clt = 1;break;
        case 2 : fprintf( fp, "[2]0 d\n" ) ;attr.clt = 2;break;
        case 3 : fprintf( fp, "[3]0 d\n" );attr.clt = 3;break;
        case 4 : fprintf( fp, "[1 4]0 d\n" );attr.clt = 4;break;
        case 5 : fprintf( fp, "[4 2 1 2]0 d\n" )      ;attr.clt = 5;break;
        case 6 : fprintf( fp, "[4 2 1 2 1 2]0 d\n" )     ;attr.clt = 6;break;
        default : fprintf( fp, "[]0 d\n" )      ;attr.clt = 0;break;
        }
    }

    if( attr.lw != attr.clw ) {                     /* line width set */
        if( attr.lw == 0 ) {
            fprintf( fp, "0.2 w\n" );
            attr.clw = 1;
        } else if( attr.lw > 0 && attr.lw <= 4 ) {
            fprintf( fp, "%.1f w\n", lwidth[attr.lw-1] );
            attr.clw = attr.lw;
        } else {
            fprintf( fp, "1.4 w\n" );
            attr.clw = 4;
        }
    }

                                                    /* line color set */
        if( attr.lc != attr.clc ) {
            if( attr.lc >= 0 && attr.lc <= 6 ) {
                fprintf( fp, "%s K\n", color[attr.lc] );
            } else {
                fprintf( fp, "1 G\n" );
            }                  
        } else if ( attr.lc == firstg && attr.clc == firstg ) {
                fprintf( fp, "1 G\n" );
        }

    if( fill ) {                                    /* fill grey set */
        if( attr.ac != attr.cac ) {
            if( attr.ac >= 0 && attr.ac <= 7 ) {
                fprintf( fp, "%s k\n", acolor[attr.ac] );
            } else {
                fprintf( fp, "1 g\n" );
            }                  
        } else if ( attr.ac == firstg && attr.cac == firstg ) {
                fprintf( fp, "1 g\n" );
        }
        fprintf( fp, "B\n" );
	fprintf( fp, "0 g\n" );
        attr.cac = 0;
    }
    else { 
      fprintf( fp, "S\n" );
    }
    fprintf( fp, "0 G\n" );
    return 0;
}

/*-------------------------------------------------------------------------------- */
circle_data_set( c0, c1, r )
    float c0, c1;
    float r;
{
    float x0,x1,x2,x3,y0,y1,y2,y3;
    x0 = c0 - r;
    y0 = c1;
    x1 = c0 - r;
    y1 = c1 + 0.55*r;
    x2 = c0 - 0.55*r;
    y2 = c1 + r;
    x3 = c0;
    y3 = c1 + r;
    fprintf( fp, "%.4f %.4f m\n",x0,y0);
    fprintf( fp, "%.4f %.4f %.4f %.4f %.4f %.4f c\n",x1,y1,x2,y2,x3,y3);

    x1 = c0 + 0.55*r;
    y1 = c1 + r;
    x2 = c0 + r;
    y2 = c1 + 0.55*r;
    x3 = c0 + r;
    y3 = c1;
    fprintf( fp, "%.4f %.4f %.4f %.4f %.4f %.4f c\n",x1,y1,x2,y2,x3,y3);

    x1 = c0 + r;
    y1 = c1 - 0.55*r;
    x2 = c0 + 0.55*r;
    y2 = c1 - r;
    x3 = c0;
    y3 = c1 - r;
    fprintf( fp, "%.4f %.4f %.4f %.4f %.4f %.4f c\n",x1,y1,x2,y2,x3,y3);

    x1 = c0 - 0.55*r;
    y1 = c1 - r;
    x2 = c0 - r;
    y2 = c1 - 0.55*r;
    x3 = c0 - r;
    y3 = c1;
    fprintf( fp, "%.4f %.4f %.4f %.4f %.4f %.4f c\n",x1,y1,x2,y2,x3,y3);

  }
/* ------------------------------------------------------------------------------- */
static put_pl()
{
    int     pn, i;
    float   p[MXPOLYLINE][2];

    retc = m_inq_polyline( &pn, MXPOLYLINE, p );
    if( retc != 0 ) return retc;

    for( i = 0 ; i < pn ; i++ )
        do_tran( p[i] );

    if( attr.lt != attr.clt ) {                     /* line type set */
        switch( attr.lt ) {
        case 1 : fprintf( fp, "[1]0 d\n" ) ;attr.clt = 1;break;
        case 2 : fprintf( fp, "[2]0 d\n" ) ;attr.clt = 2;break;
        case 3 : fprintf( fp, "[3]0 d\n" );attr.clt = 3;break;
        case 4 : fprintf( fp, "[1 4]0 d\n" );attr.clt = 4;break;
        case 5 : fprintf( fp, "[4 2 1 2]0 d\n" )      ;attr.clt = 5;break;
        case 6 : fprintf( fp, "[4 2 1 2 1 2]0 d\n" )     ;attr.clt = 6;break;
        default : fprintf( fp, "[]0 d\n" )      ;attr.clt = 0;break;
        }
    }

    if( attr.lw != attr.clw ) {                     /* line width set */
        if( attr.lw == 0 ) {
            fprintf( fp, "0.2 w\n" );
            attr.clw = 1;
        } else if( attr.lw > 0 && attr.lw <= 4 ) {
            fprintf( fp, "%.1f w\n", lwidth[attr.lw-1] );
            attr.clw = attr.lw;
        } else {
            fprintf( fp, "1.4 w\n" );
            attr.clw = 4;
        }
    }

                                                    /* line color set */
        if( attr.lc != attr.clc ) {
            if( attr.lc >= 0 && attr.lc <= 6 ) {
                fprintf( fp, "%s K\n", color[attr.lc] );
            } else {
                fprintf( fp, "1 G\n" );
            }                  
        } else if ( attr.lc == firstg && attr.clc == firstg ) {
                fprintf( fp, "1 G\n" );
        }

    fprintf( fp, "%.2f %.2f m\n",p[0][0], p[0][1] );  /* polyline data set */
    for( i =1; i < pn; i++ )
        fprintf( fp, "%.2f %.2f l\n",p[i][0], p[i][1] );
    fprintf( fp, "S\n" );
    fprintf( fp, "0 G\n");
	return 0;
}

/* ------------------------------------------------------------------------------- */
static put_pg()
{
    int     pn, fill, i;
    float   p[MXPOLYGON][2];
    retc = m_inq_polygon( &pn, MXPOLYGON, p, &fill );
    if( retc != 0 ) return retc;

    for( i = 0 ; i < pn ; i++ ) {
        do_tran( p[i] );
    }
    fprintf( fp, "%.2f %.2f m\n",p[0][0],p[0][1] );   /* polygon data set */
    for( i =1; i < pn; i++ )
        fprintf( fp, "%.2f %.2f l\n",p[i][0],p[i][1] );
        fprintf( fp, "%.2f %.2f l\n",p[0][0],p[0][1] );

    if( attr.lt != attr.clt ) {                     /* line type set */
        switch( attr.lt ) {
        case 1 : fprintf( fp, "[1]0 d\n" ) ;attr.clt = 1;break;
        case 2 : fprintf( fp, "[2]0 d\n" ) ;attr.clt = 2;break;
        case 3 : fprintf( fp, "[3]0 d\n" );attr.clt = 3;break;
        case 4 : fprintf( fp, "[1 4]0 d\n" );attr.clt = 4;break;
        case 5 : fprintf( fp, "[4 2 1 2]0 d\n" )      ;attr.clt = 5;break;
        case 6 : fprintf( fp, "[4 2 1 2 1 2]0 d\n" )     ;attr.clt = 6;break;
        default : fprintf( fp, "[]0 d\n" )      ;attr.clt = 0;break;
        }
    }

    if( attr.lw != attr.clw ) {                     /* line width set */
        if( attr.lw == 0 ) {
            fprintf( fp, "0.2 w\n" );
            attr.clw = 1;
        } else if( attr.lw > 0 && attr.lw <= 4 ) {
            fprintf( fp, "%.1f w\n", lwidth[attr.lw-1] );
            attr.clw = attr.lw;
        } else {
            fprintf( fp, "1.4 w\n" );
            attr.clw = 4;
        }
    }

                                                    /* line color set */
        if( attr.lc != attr.clc ) {
            if( attr.lc >= 0 && attr.lc <= 6 ) {
                fprintf( fp, "%s K\n", color[attr.lc] );
            } else {
                fprintf( fp, "1 G\n" );
            }                  
        } else if ( attr.lc == firstg && attr.clc == firstg ) {
                fprintf( fp, "1 G\n" );
        }

    if( fill ) {                                    /* fill grey set */
        if( attr.ac != attr.cac ) {
            if( attr.ac >= 0 && attr.ac <= 6 ) {
                fprintf( fp, "%s k\n", acolor[attr.ac] );
            } else {
                fprintf( fp, "1 g\n" );
            }
        } else if ( attr.ac == firstg && attr.cac == firstg ) {
                fprintf( fp, "1 g\n" );
        }
        fprintf( fp, "B\n" );
	fprintf( fp, "0 g\n" );
        attr.cac = 0;
    }
    else {
    fprintf( fp, "S\n" );
  }
    fprintf( fp, "0 G\n" );
	return 0;
}

/* ------------------------------------------------------------------------------- */
static put_tx()
{
    float   head[2];
    char    string[MXTEXTLEN];

    retc = m_inq_text( &head[0], &head[1], string, MXTEXTLEN );
    if( retc != 0 ) return retc;

    do_tran( head );

/* text color set */
        if( attr.tc != attr.cfgc ) {
                if( attr.tc >= 0 && attr.tc <= 7 ) {
		  fprintf( fp, "%s k\n", acolor[attr.tc] );
                } else {
                    fprintf( fp, "1 g\n" );
                        attr.cfgc = 0;
                }
        }

    if( m_ctrl.vflag == FALSE ) {                     
        fprintf( fp, "/Times-Roman 12 14.5 0 0 z\n" );
        fprintf( fp, "[0 -1 1 0 %.2f %.2f]e\n", head[0], head[1] );
        fprintf( fp, "%d (%s)t\n", MXTEXTLEN, string );
        fprintf( fp, "T\n" );
      }
    else{
        fprintf( fp, "/Times-Roman 12 14.5 0 0 z\n" );
        fprintf( fp, "[1 0 0 1 %.2f %.2f]e\n", head[0], head[1] );
        fprintf( fp, "%d (%s)t\n", MXTEXTLEN, string );
        fprintf( fp, "T\n" );
        }                                                        
}

/* ------------------------------------------------------------------------------- */
static skip_marker()
{
    if( m_fig.HDR.CODE != MARKER_CODE ) return -1;
    return getbuf( (char*)&m_fig.D, sizeof( m_fig.D.MM ) );
}

/* ------------------------------------------------------------------------------- */
static skip_marker_size()
{
    if( m_fig.HDR.CODE != MARKER_SIZE_CODE ) return -1;
    retc = getbuf( (char*)&m_fig.D, sizeof( m_fig.D.MS ) );
	return retc;
}

/* ------------------------------------------------------------------------------- */
static skip_marker_type()
{
    if( m_fig.HDR.CODE != MARKER_TYPE_CODE ) return -1;
    retc = getbuf( (char*)&m_fig.D, sizeof( m_fig.D.MT ) );
	return retc;
}

/* ------------------------------------------------------------------------------- */
static skip_marker_color()
{        
    if( m_fig.HDR.CODE != MARKER_COLOR_CODE ) return -1;
    retc = getbuf( (char*)&m_fig.D, sizeof( m_fig.D.MC ) );
	return retc;
}



