
static char rcsid[] = "$Id: g_box.c,v 1.3 1995/05/23 05:26:01 nakano Exp nakano $";

#include "g_private.h"

void
Cg_box (x_left, x_right, y_bottom, y_top, edge, fill)
    G_P_POS	x_left;
    G_P_POS	x_right;
    G_P_POS	y_bottom;
    G_P_POS	y_top;
    G_BOOL	edge;
    G_BOOL	fill;
{
    G_POS	x[4], y[4];

    x[0] = x_left; y[0] = y_bottom;
    x[1] = x_right; y[1] = y_bottom;
    x[2] = x_right; y[2] = y_top;
    x[3] = x_left; y[3] = y_top;

    Cg_polygon (x, y, 4, edge, fill);
}

void
F77g_box (x_left, x_right, y_bottom, y_top, edge, fill)
    G_POS *	x_left;
    G_POS *	x_right;
    G_POS *	y_bottom;
    G_POS *	y_top;
    G_BOOL *	edge;
    G_BOOL *	fill;
{
    Cg_box (* x_left, * x_right, * y_bottom, * y_top, * edge, * fill);
}

void
g_box__ (x_left, x_right, y_bottom, y_top, edge, fill)
    G_POS *	x_left;
    G_POS *	x_right;
    G_POS *	y_bottom;
    G_POS *	y_top;
    G_BOOL *	edge;
    G_BOOL *	fill;
{
    Cg_box (* x_left, * x_right, * y_bottom, * y_top, * edge, * fill);
}

