
static char rcsid[] = "$Id: g_def_line.c,v 1.4 1995/05/23 05:26:05 nakano Exp nakano $";

#include "g_private.h"

void
Cg_def_line (id, color, width, type)
    int		id;
    G_COLOR	color;
    int		width;
    G_LINE_TYPE	type;
{
    EXTEND_SLOTS (LINE_CONTEXT, line, id, G_MAX_N_LINE_PROPS,
		  "g_def_line : too many line properties");
    line -> slots[id].defined = G_YES;
    line -> slots[id].color
	= g_check_color (color, DEF_LINE_COLOR, "g_def_line");
    line -> slots[id].width
	= g_check_line_width (width, DEF_LINE_WIDTH, "g_def_line");
    line -> slots[id].type
	= g_check_line_type (type, DEF_LINE_TYPE, "g_def_line");
}

void
F77g_def_line (id, color, width, type)
    int *		id;
    G_COLOR *		color;
    int *		width;
    G_LINE_TYPE *	type;
{
    Cg_def_line (* id, * color, * width, * type);
}

void
g_def_line__ (id, color, width, type)
    int *		id;
    G_COLOR *		color;
    int *		width;
    G_LINE_TYPE *	type;
{
    Cg_def_line (* id, * color, * width, * type);
}

