
/*
 *	$Id: g_dev_x.h,v 1.2 1992/12/25 01:38:53 nakano Exp nakano $
 */

#include <X11/Xlib.h>
#include <X11/Xutil.h>

typedef struct
{
    Display *		display;
    Window		window;
    GC			line_gc;
    GC			area_gc;
    GC			text_gc;
    XFontStruct *	fonts[G_FONT_MAX + 1];
    int			palette[G_COLOR_MAX + 1];
}
X_PRIV;

#define X_TRANSLATE_X(dev, x)	((int) (((x) * (dev) -> x_scale) + 0.5))
#define X_TRANSLATE_Y(dev, y)	((int) (((y) * (dev) -> y_scale) + 0.5))
#define X_TRANSLATE_W(dev, x)	((int) (((x) * (dev) -> x_scale) + 0.5))
#define X_TRANSLATE_H(dev, y)	((int) (((y) * (dev) -> y_scale) + 0.5))

#define X_FONT_TIMES_8 \
	("-*-times-medium-r-normal--*-80-*-*-p-*-iso8859-*")
#define X_FONT_TIMES_12 \
	("-*-times-medium-r-normal--*-120-*-*-p-*-iso8859-*")
#define X_FONT_TIMES_18 \
	("-*-times-medium-r-normal--*-180-*-*-p-*-iso8859-*")
#define X_FONT_TIMES_24 \
	("-*-times-medium-r-normal--*-240-*-*-p-*-iso8859-*")
#define X_FONT_SYMBOL_8 \
	("-*-symbol-medium-r-normal--*-80-*-*-p-*-*-*")
#define X_FONT_SYMBOL_12 \
	("-*-symbol-medium-r-normal--*-120-*-*-p-*-*-*")
#define X_FONT_SYMBOL_18 \
	("-*-symbol-medium-r-normal--*-180-*-*-p-*-*-*")
#define X_FONT_SYMBOL_24 \
	("-*-symbol-medium-r-normal--*-240-*-*-p-*-*-*")

extern DEVICE	g_x_device;

