
static char rcsid[] = "$Id: g_sel_line.c,v 1.4 1995/05/23 05:26:23 nakano Exp nakano $";

#include "g_private.h"

void
Cg_sel_line (id)
    int		id;
{
    LINE_CONTEXT *	line;

    g_check_init ();
    line = g_context.line;

    if (id < 0 || line -> n_slots <= id || ! line -> slots[id].defined)
    {
	char	message[200];

	sprintf (message, "undefined line number %d ignored", id);
	g_warning ("g_sel_line", message);
	return;
    }

    if (line -> slots[id].color != line -> current.color
       || line -> slots[id].width != line -> current.width
       || line -> slots[id].type != line -> current.type)
    {
	line -> current = line -> slots[id];
	CALL_PROC (validate_line, NULL);
    }
}

void
F77g_sel_line (id)
    int *	id;
{
    Cg_sel_line (* id);
}

void
g_sel_line__ (id)
    int *	id;
{
    Cg_sel_line (* id);
}

