
static char rcsid[] = "$Id: g_sel_text.c,v 1.4 1995/05/23 05:26:26 nakano Exp nakano $";

#include "g_private.h"

void
Cg_sel_text (id)
    int		id;
{
    TEXT_CONTEXT *	text;

    g_check_init ();
    text = g_context.text;


    if (id < 0 || text -> n_slots <= id || ! text -> slots[id].defined)
    {
	char	message[200];

	sprintf (message, "undefined text number %d ignored", id);
	g_warning ("g_sel_text", message);
	return;
    }

    if (text -> slots[id].color != text -> current.color
       || text -> slots[id].font != text -> current.font)
    {
	text -> current = text -> slots[id];
	CALL_PROC (validate_text, NULL);
    }
}

void
F77g_sel_text (id)
    int *	id;
{
    Cg_sel_text (* id);
}

void
g_sel_text__ (id)
    int *	id;
{
    Cg_sel_text (* id);
}

