
static char rcsid[] = "$Id: g_text.c,v 1.4 1995/05/23 05:26:28 nakano Exp nakano $";

#include "g_private.h"

#ifdef __STDC__
#include <stdlib.h>
#else
extern char *	strncpy ();
#endif

void
Cg_text (x, y, string)
    G_P_POS	x;
    G_P_POS	y;
    char *	string;
{
    G_TEXT_DEF	packet;

    g_check_init ();
    packet.x = x;
    packet.y = y;
    packet.string = string;
    CALL_PROC (text, & packet);
}

void
F77g_text (x, y, string, length)
    G_POS *	x;
    G_POS *	y;
    char *	string;
    int *	length;
{
    char	str[G_MAX_TEXT_LENGTH + 1];
    int		len = MIN (G_MAX_TEXT_LENGTH, * length);

    strncpy (str, string, len);
    str[len] = '\0';
    Cg_text (* x, * y, str);

    if (len < * length)
    {
	char message[200 + G_MAX_TEXT_LENGTH];

	sprintf (message, "too long text truncated to \"%s\".\n", str);
	g_warning ("g_text", message);
    }
}

void
g_text__ (x, y, string, length)
    G_POS *	x;
    G_POS *	y;
    char *	string;
    int *	length;
{
    char	str[G_MAX_TEXT_LENGTH + 1];
    int		len = MIN (G_MAX_TEXT_LENGTH, * length);

    strncpy (str, string, len);
    str[len] = '\0';
    Cg_text (* x, * y, str);

    if (len < * length)
    {
	char message[200 + G_MAX_TEXT_LENGTH];

	sprintf (message, "too long text truncated to \"%s\".\n", str);
	g_warning ("g_text", message);
    }
}

